algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Coalgebra.Hyperbolic.Class

# Documentation

class Hyperbolic r where Source

Methods

cosh :: rSource

sinh :: rSource

Instances

Hyperbolic HyperBasis' |
Hyperbolic HyperBasis |
Rig r => Hyperbolic (Hyper' r) |
Rig r => Hyperbolic (Hyper r) |
Rig r => Hyperbolic (HyperBasis' -> r) |
Rig r => Hyperbolic (HyperBasis -> r) |
Hyperbolic a => Hyperbolic (Covector r a) |